import { FormObject } from "@/utils/validation-schema";

export const formFields: FormObject[] = [
    {
        name: "first_name",
        label: "First Name",
        type: "text",
        defaultValue: '',
        required: true,
    },
    {
        name: "last_name",
        label: "Last Name",
        type: "text",
        defaultValue: '',
        required: true,
    },
    {
        name: "email",
        label: "Email",
        type: "email",
        defaultValue: '',
        required: true,
    },
    {
        name: "phone",
        label: "Phone",
        type: "text",
        defaultValue: '',
        required: true,
    },
    {
        name: "is_active",
        label: "Is Active",
        type: "checkbox",
        defaultValue: '',
        required: false,
    },
    {
        name: "roles",
        label: "Roles",
        type: "autocomplete",
        defaultValue: [],
        required: false,
    }
];

export const transferFormFields: FormObject[] = [
    {
      name: "from_user_id",
      label: "From User",
      type: "number",
      defaultValue: "",
      required: true,
    },
    {
      name: "to_user_id",
      label: "To User",
      type: "number",
      defaultValue: "",
      required: true,
    },
    {
      name: "assignment_ids",
      label: "Assignments",
      type: "multi-select",
      defaultValue: [],
      required: true,
    },
    {
      name: "due_date",
      label: "Due Date",
      type: "date",
      defaultValue: "",
    },
  ];
  